Mengenai konten keamanan iOS 8.1.3

Dokumen ini menjelaskan konten keamanan iOS 8.1.3

Demi melindungi pelanggan kami, Apple tidak mengungkapkan, membahas, atau mengonfirmasi masalah keamanan hingga investigasi menyeluruh telah dilakukan dan perbaikan program atau rilis yang diperlukan telah tersedia. Untuk mempelajari Keamanan Produk Apple lebih lanjut, kunjungi situs web Keamanan Produk Apple.

Untuk informasi mengenai Kunci PGP Keamanan Produk Apple, baca Cara menggunakan Kunci PGP Keamanan Produk Apple.

Jika memungkinkan, ID CVE digunakan sebagai referensi untuk mengetahui informasi lebih lanjut mengenai kerentanan.

Untuk mempelajari Pembaruan Keamanan lainnya, baca Pembaruan Keamanan Apple.

iOS 8.1.3

  • AppleFileConduit

    Tersedia untuk: iPhone 4s dan versi lebih baru, iPod touch (generasi ke-5) dan versi lebih baru, iPad 2 dan versi lebih baru

    Dampak: Perintah afc perusak yang berbahaya dapat mengizinkan akses ke bagian sistem file yang dilindungi

    Deskripsi: Kerentanan yang muncul di mekanisme penautan simbolik afc. Masalah ini telah diatasi dengan menambahkan pemeriksaan jalur tambahan.

    CVE-ID

    CVE-2014-4480 : Tim TaiG Jailbreak

  • CoreGraphics

    Tersedia untuk: iPhone 4s dan versi lebih baru, iPod touch (generasi ke-5) dan versi lebih baru, iPad 2 dan versi lebih baru

    Dampak: Membuka file PDF perusak yang berbahaya dapat mengakibatkan aplikasi berhenti tiba-tiba atau eksekusi kode arbitrer

    Deskripsi: Kelebihan bilangan bulat terjadi saat menangani file PDF. Masalah ini telah diatasi dengan peningkatan pemeriksaan batas.

    CVE-ID

    CVE-2014-4481: Felipe Andres Manzano dari Binamuse VRT, melalui iSIGHT Partners GVP Program

  • dyld

    Tersedia untuk: iPhone 4s dan versi lebih baru, iPod touch (generasi ke-5) dan versi lebih baru, iPad 2 dan versi lebih baru

    Dampak: Pengguna lokal mungkin dapat menjalankan kode yang tidak ditandatangani.

    Deskripsi: Masalah pengelolaan status terjadi saat menangani file Mach-O yang dapat dieksekusi dengan segmen yang saling tumpang tindih. Masalah ini telah diatasi melalui peningkatan validasi ukuran segmen.

    CVE-ID

    CVE-2014-4455 : Tim TaiG Jailbreak

  • FontParser

    Tersedia untuk: iPhone 4s dan versi lebih baru, iPod touch (generasi ke-5) dan versi lebih baru, iPad 2 dan versi lebih baru

    Dampak: Membuka file PDF perusak yang berbahaya dapat mengakibatkan aplikasi berhenti tiba-tiba atau eksekusi kode arbitrer

    Deskripsi: Kelebihan buffer terjadi saat menangani file fon. Masalah ini telah diatasi dengan peningkatan pemeriksaan batas.

    CVE-ID

    CVE-2014-4483 : Apple

  • FontParser

    Tersedia untuk: iPhone 4s dan versi lebih baru, iPod touch (generasi ke-5) dan versi lebih baru, iPad 2 dan versi lebih baru

    Dampak: Memproses file .dfont perusak yang berbahaya dapat mengakibatkan aplikasi berhenti tiba-tiba atau eksekusi kode arbitrer

    Deskripsi: Masalah kerusakan memori terjadi saat menangani file .dfont. Masalah ini telah diatasi dengan peningkatan pemeriksaan batas.

    CVE-ID

    CVE-2014-4484 : Gaurav Baruah bekerja sama dengan Zero Day Initiative dari HP

  • Foundation

    Tersedia untuk: iPhone 4s dan versi lebih baru, iPod touch (generasi ke-5) dan versi lebih baru, iPad 2 dan versi lebih baru

    Dampak: Melihat file XML perusak yang berbahaya dapat mengakibatkan aplikasi berhenti tiba-tiba atau eksekusi kode arbitrer

    Deskripsi: Kelebihan buffer muncul di pengurai XML. Masalah ini telah diatasi dengan peningkatan pemeriksaan batas.

    CVE-ID

    CVE-2014-4485 : Apple

  • IOAcceleratorFamily

    Tersedia untuk: iPhone 4s dan versi lebih baru, iPod touch (generasi ke-5) dan versi lebih baru, iPad 2 dan versi lebih baru

    Dampak: Aplikasi yang berbahaya mungkin dapat mengeksekusi kode arbitrer dengan hak istimewa sistem

    Deskripsi: Dereferensi penunjuk null muncul di IOAcceleratorFamily saat menangani daftar sumber daya. Masalah ini telah diatasi dengan menghapus kode yang tidak diperlukan.

    CVE-ID

    CVE-2014-4486 : Ian Beer dari Google Project Zero

  • IOHIDFamily

    Tersedia untuk: iPhone 4s dan versi lebih baru, iPod touch (generasi ke-5) dan versi lebih baru, iPad 2 dan versi lebih baru

    Dampak: Aplikasi yang berbahaya mungkin dapat mengeksekusi kode arbitrer dengan hak istimewa sistem

    Deskripsi: Kelebihan buffer muncul di IOHIDFamily. Masalah ini telah diatasi melalui peningkatan validasi ukuran.

    CVE-ID

    CVE-2014-4487 : Tim TaiG Jailbreak

  • IOHIDFamily

    Tersedia untuk: iPhone 4s dan versi lebih baru, iPod touch (generasi ke-5) dan versi lebih baru, iPad 2 dan versi lebih baru

    Dampak: Aplikasi yang berbahaya mungkin dapat mengeksekusi kode arbitrer dengan hak istimewa sistem

    Deskripsi: Masalah validasi muncul di IOHIDFamily saat menangani metadata antrean sumber daya. Masalah ini telah diatasi melalui peningkatan validasi metadata.

    CVE-ID

    CVE-2014-4488 : Apple

  • IOHIDFamily

    Tersedia untuk: iPhone 4s dan versi lebih baru, iPod touch (generasi ke-5) dan versi lebih baru, iPad 2 dan versi lebih baru

    Dampak: Aplikasi yang berbahaya mungkin dapat mengeksekusi kode arbitrer dengan hak istimewa sistem

    Deskripsi: Dereferensi penunjuk null muncul di IOHIDFamily saat menangani antrean acara. Masalah ini telah diatasi melalui peningkatan validasi ukuran.

    CVE-ID

    CVE-2014-4489 : @beist

  • iTunes Store

    Tersedia untuk: iPhone 4s dan versi lebih baru, iPod touch (generasi ke-5) dan versi lebih baru, iPad 2 dan versi lebih baru

    Dampak: Situs web dapat memintas pembatasan sandbox menggunakan iTunes Store

    Dekripsi: Masalah terjadi saat menangani URL yang dialihkan dari Safari ke iTunes Store yang dapat memungkinkan situs web berbahaya memintas pembatasan sandbox Safari. Masalah ini telah diatasi dengan peningkatan pemfilteran URL yang dibuka oleh iTunes Store.

    CVE-ID

    CVE-2014-8840 : lokihardt@ASRT bekerja sama dengan Zero Day Initiative dari HP

  • Kerberos

    Tersedia untuk: iPhone 4s dan versi lebih baru, iPod touch (generasi ke-5) dan versi lebih baru, iPad 2 dan versi lebih baru

    Dampak: Aplikasi yang berbahaya mungkin dapat mengeksekusi kode arbitrer dengan hak istimewa sistem

    Deskripsi: Perpustakaan libgssapi Kerberos mengembalikan token konteks dengan penunjuk yang menggantung. Masalah ini telah diatasi dengan peningkatan pengelolaan status.

    CVE-ID

    CVE-2014-5352

  • Kernel

    Tersedia untuk: iPhone 4s dan versi lebih baru, iPod touch (generasi ke-5) dan versi lebih baru, iPad 2 dan versi lebih baru

    Dampak: Aplikasi iOS perusak yang berbahaya atau tidak aman lagi mungkin dapat menentukan alamat di kernel

    Deskripsi: Masalah pengungkapan informasi terjadi saat menangani API yang terkait dengan ekstensi kernel. Respons yang berisi kunci OSBundleMachOHeaders mungkin menyertakan alamat kernel, yang dapat membantu memintas perlindungan pengacakan tata letak ruang alamat. Masalah ini telah diatasi dengan tidak menggeser alamat sebelum mengembalikannya.

    CVE-ID

    CVE-2014-4491 : @PanguTeam, Stefan Esser

  • Kernel

    Tersedia untuk: iPhone 4s dan versi lebih baru, iPod touch (generasi ke-5) dan versi lebih baru, iPad 2 dan versi lebih baru

    Dampak: Aplikasi yang berbahaya mungkin dapat mengeksekusi kode arbitrer dengan hak istimewa sistem

    Deskripsi: Masalah yang muncul di subsistem memori bersama kernel yang memungkinkan penyerang menulis ke memori yang ditujukan untuk hanya baca. Masalah ini telah diatasi dengan pemeriksaan izin memori bersama yang lebih ketat.

    CVE-ID

    CVE-2014-4495 : Ian Beer dari Google Project Zero

  • Kernel

    Tersedia untuk: iPhone 4s dan versi lebih baru, iPod touch (generasi ke-5) dan versi lebih baru, iPad 2 dan versi lebih baru

    Dampak: Aplikasi iOS perusak yang berbahaya atau tidak aman lagi mungkin dapat menentukan alamat di kernel

    Deskripsi: Antarmuka kernel mach_port_kobject membocorkan alamat kernel dan tumpukan nilai permutasi, yang dapat membantu memintas perlindungan pengacakan tata letak ruang alamat. Masalah ini telah diatasi dengan menonaktifkan antarmuka mach_port_kobject di konfigurasi produksi.

    CVE-ID

    CVE-2014-4496 : Tim TaiG Jailbreak

  • libnetcore

    Tersedia untuk: iPhone 4s dan versi lebih baru, iPod touch (generasi ke-5) dan versi lebih baru, iPad 2 dan versi lebih baru

    Dampak: App berbahaya yang disandbox dapat meretas daemon networkd

    Deskripsi: Beberapa masalah ketidakjelasan jenis terjadi di networkd saat menangani komunikasi antarproses. Dengan mengirimkan pesan berformat yang berbahaya ke networkd, hal ini mungkin dapat mengeksekusi kode arbitrer sebagai proses networkd. Masalah ini telah diatasi melalui pemeriksaan jenis tambahan.

    CVE-ID

    CVE-2014-4492 : Ian Beer dari Google Project Zero

  • MobileInstallation

    Tersedia untuk: iPhone 4s dan versi lebih baru, iPod touch (generasi ke-5) dan versi lebih baru, iPad 2 dan versi lebih baru

    Dampak: Aplikasi bertanda perusahaan yang berbahaya mungkin dapat mengambil alih wadah lokal untuk aplikasi yang sudah ada di perangkat

    Deskripsi: Kerentanan muncul di proses penginstalan aplikasi. Masalah ini telah diatasi dengan mencegah aplikasi perusahaan menimpa aplikasi yang ada pada skenario tertentu.

    CVE-ID

    CVE-2014-4493 : Hui Xue dan Tao Wei dari FireEye, Inc.

  • Springboard

    Tersedia untuk: iPhone 4s dan versi lebih baru, iPod touch (generasi ke-5) dan versi lebih baru, iPad 2 dan versi lebih baru

    Dampak: Aplikasi bertanda perusahaan dapat dibuka tanpa konfirmasi kepercayaan

    Deskripsi: Masalah terjadi saat menentukan kapan harus mengonfirmasi kepercayaan saat pertama kali membuka aplikasi bertanda perusahaan. Masalah ini telah diatasi melalui peningkatan validasi tanda tangan kode.

    CVE-ID

    CVE-2014-4494 : Hui Xue dan Tao Wei dari FireEye, Inc.

  • WebKit

    Tersedia untuk: iPhone 4s dan versi lebih baru, iPod touch (generasi ke-5) dan versi lebih baru, iPad 2 dan versi lebih baru

    Dampak: Mengunjungi situs web yang membuat konten yang berbahaya dapat mengakibatkan pemalsuan UI

    Deskripsi: Masalah pemalsuan UI terjadi saat menangani batas bar gulir. Masalah ini telah diatasi dengan peningkatan pemeriksaan batas.

    CVE-ID

    CVE-2014-4467 : Jordan Milne

  • WebKit

    Tersedia untuk: iPhone 4s dan versi lebih baru, iPod touch (generasi ke-5) dan versi lebih baru, iPad 2 dan versi lebih baru

    Dampak: Lembar gaya merupakan lintas sumber yang dimuat yang memungkinkan eksfiltrasi data

    Deskripsi: SVG yang dimuat dalam elemen img dapat memuat lintas sumber file CSS. Masalah ini telah diatasi melalui peningkatan pemblokiran referensi CSS eksternal di SVG.

    CVE-ID

    CVE-2014-4465 : Rennie deGraaf dari iSEC Partners

  • WebKit

    Tersedia untuk: iPhone 4s dan versi lebih baru, iPod touch (generasi ke-5) dan versi lebih baru, iPad 2 dan versi lebih baru

    Dampak: Mengunjungi situs web perusak yang berbahaya dapat mengakibatkan aplikasi berhenti tiba-tiba atau kode arbitrer dieksekusi

    Penjelasan: Beberapa masalah kerusakan memori muncul di WebKit. Masalah ini telah diatasi melalui penanganan memori yang ditingkatkan.

    CVE-ID

    CVE-2014-3192 : cloudfuzzer

    CVE-2014-4459

    CVE-2014-4466 : Apple

    CVE-2014-4468 : Apple

    CVE-2014-4469 : Apple

    CVE-2014-4470 : Apple

    CVE-2014-4471 : Apple

    CVE-2014-4472 : Apple

    CVE-2014-4473 : Apple

    CVE-2014-4474 : Apple

    CVE-2014-4475 : Apple

    CVE-2014-4476 : Apple

    CVE-2014-4477 : lokihardt@ASRT bekerja sama dengan Zero Day Initiative dari HP

    CVE-2014-4479 : Apple

Informasi tentang produk yang tidak diproduksi oleh Apple, atau situs web independen tidak dikendalikan atau diuji oleh Apple, disediakan tanpa rekomendasi atau persetujuan. Apple tidak bertanggung jawab terkait pemilihan, kinerja, atau penggunaan situs web atau produk pihak ketiga. Apple tidak memberikan pendapat terkait akurasi atau keandalan situs web pihak ketiga. Risiko adalah hal tak terpisahkan dari penggunaan Internet. Hubungi vendor untuk informasi selengkapnya.

Tanggal Dipublikasikan: